Open CASCADE Technology: StepBasic_CoordinatedUniversalTimeOffset Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepBasic_CoordinatedUniversalTimeOffset Class Reference

`#include <StepBasic_CoordinatedUniversalTimeOffset.hxx>`

Inheritance diagram for StepBasic_CoordinatedUniversalTimeOffset:
[legend]

## Public Member Functions
| StepBasic_CoordinatedUniversalTimeOffset ()
| Returns a CoordinatedUniversalTimeOffset. More...
virtual void | Init (const Standard_Integer aHourOffset, const Standard_Boolean hasAminuteOffset, const Standard_Integer aMinuteOffset, const StepBasic_AheadOrBehind aSense)
void | SetHourOffset (const Standard_Integer aHourOffset)
Standard_Integer | HourOffset () const
void | SetMinuteOffset (const Standard_Integer aMinuteOffset)
void | UnSetMinuteOffset ()
Standard_Integer | MinuteOffset () const
Standard_Boolean | HasMinuteOffset () const
void | SetSense (const StepBasic_AheadOrBehind aSense)
StepBasic_AheadOrBehind | Sense () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

StepBasic_CoordinatedUniversalTimeOffset::StepBasic_CoordinatedUniversalTimeOffset | ( |  | ) |

Returns a CoordinatedUniversalTimeOffset.

## Member Function Documentation

Standard_Boolean StepBasic_CoordinatedUniversalTimeOffset::HasMinuteOffset | ( |  | ) | const

Standard_Integer StepBasic_CoordinatedUniversalTimeOffset::HourOffset | ( |  | ) | const

virtual void StepBasic_CoordinatedUniversalTimeOffset::Init | ( | const Standard_Integer | aHourOffset,
|  | const Standard_Boolean | hasAminuteOffset,
|  | const Standard_Integer | aMinuteOffset,
|  | const StepBasic_AheadOrBehind | aSense
| ) |  |
| virtual

Standard_Integer StepBasic_CoordinatedUniversalTimeOffset::MinuteOffset | ( |  | ) | const

StepBasic_AheadOrBehind StepBasic_CoordinatedUniversalTimeOffset::Sense | ( |  | ) | const

void StepBasic_CoordinatedUniversalTimeOffset::SetHourOffset | ( | const Standard_Integer | aHourOffset | ) |

void StepBasic_CoordinatedUniversalTimeOffset::SetMinuteOffset | ( | const Standard_Integer | aMinuteOffset | ) |

void StepBasic_CoordinatedUniversalTimeOffset::SetSense | ( | const StepBasic_AheadOrBehind | aSense | ) |

void StepBasic_CoordinatedUniversalTimeOffset::UnSetMinuteOffset | ( |  | ) |

The documentation for this class was generated from the following file:

- StepBasic_CoordinatedUniversalTimeOffset.hxx